#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './messagedialog.ui'
**
** Created: 2012-04-27T20:53:11
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "messagedialog.h"

#include <qvariant.h>
#include <ktextedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./messagedialog.ui.h"

/*
 *  Constructs a MessageDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MessageDialog::MessageDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MessageDialog" );
    setSizeGripEnabled( TRUE );
    MessageDialogLayout = new QVBoxLayout( this, 11, 6, "MessageDialogLayout"); 

    messagePane = new KTextEdit( this, "messagePane" );
    messagePane->setTextFormat( KTextEdit::LogText );
    messagePane->setWordWrap( KTextEdit::FixedColumnWidth );
    messagePane->setReadOnly( TRUE );
    messagePane->setUndoRedoEnabled( FALSE );
    MessageDialogLayout->addWidget( messagePane );

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 

    btnClear = new QPushButton( this, "btnClear" );
    btnClear->setAutoDefault( FALSE );
    tqlayout2->addWidget( btnClear );
    Horizontal_Spacing2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( Horizontal_Spacing2 );

    btnClose = new QPushButton( this, "btnClose" );
    btnClose->setDefault( TRUE );
    tqlayout2->addWidget( btnClose );
    MessageDialogLayout->addLayout( tqlayout2 );
    languageChange();
    resize( QSize(511, 282).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnClose, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( btnClear, SIGNAL( clicked() ), messagePane, SLOT( clear() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MessageDialog::~MessageDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MessageDialog::languageChange()
{
    setCaption( tr2i18n( "Message Log" ) );
    btnClear->setText( tr2i18n( "C&lear" ) );
    btnClose->setText( tr2i18n( "&Close" ) );
}

#include "messagedialog.moc"
